0
votes
1answer
1k views

Where is Python installed on Raspberry Pi?

I am trying to set up Mercurial on a Raspberry Pi, but the instructions I am using are for Ubuntu. It suggests that the Python folder is usr/bin/python, but this does not exist on my Pi. Where is ...
0
votes
0answers
134 views

“hg commit/diff” crash on my Mac OS X

I just run hg commit -m "xxx" on my Mac and then got the message: zsh: illegal hardware instruction hg commit and hg diff also be crash, but the hg commit is OK. When I save the commit message with ...
1
vote
1answer
649 views

Grab source from Google Code using wget or curl?

Is it possible to grab the source-code from a Google Code repository (hg) using wget or curl? Else using Python? Thanks for all suggestions FYI: I'm on a shared WebFaction host, so can't install hg ...
1
vote
1answer
1k views

How to make Mercurial find updated version of Python?

My system is RedHat 5 Linux and has default python 2.4 installed. In order to execute Mercurial 1.81, I tried to upgrade python from 2.4 to 2.6 and I thought I saved it in a different directory. I ...
1
vote
1answer
228 views

Install Mercurial 1.9.1 (isapi) on win2k3

I have been trying to get Mercurial installed on my 32bit 2003 server and i have been running into some issues. i have followed these instructions (which is the most current that i can find) with the ...
2
votes
0answers
204 views

Branch names not showing in Mercurial's tab completion

I have a development machine running mercurial 1.6.3. Tab completion in bash works great for completing commands, tags and branch names. I've set up a new machine with the same mercurial version (both ...
1
vote
4answers
3k views

Mercurial 1.5.4 Can't Find osutil Module Using Ubuntu 10.04

I'm using Ubuntu 10.04 and I just installed Mercurial 1.5.4 from source (see this question for some installation trouble that I had). Now, however, when I invoke: hg I get the following: File ...
1
vote
1answer
158 views

Trouble installing Mercurial 1.5 on Mac OS X 10.5.8 (without using MacPorts)

I'm having trouble installing Mercurial 1.5 (build 20100307) from the prebuilt installer on Mac OS X 10.5.8 (2006 Core Duo MacBook Pro). The machine has never had the mac developer tools installed. ...
0
votes
1answer
439 views

Can't install Mercurial on Mac OS X 10.5.8

When selecting the volume in the installation program it says "You cannot install Merucrial on this volume. Mercurial requires Apple Python 2.6". I tried installing the latest version of Python from ...